org.apache.fop.render.ps

## Class PSRendererConfig

- java.lang.Object
- - org.apache.fop.render.ps.PSRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class PSRendererConfig
    extends Object
    implements RendererConfig

The PostScript renderer configuration data object.

### Nested Class Summary

Nested Classes
`static class` `PSRendererConfig.PSRendererConfigParser` The PostScript renderer configuration data parser.

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.
`Integer` `getLanguageLevel()`
`org.apache.fop.render.ps.PSRenderingMode` `getRenderingMode()`
`Boolean` `isAcrobatDownsample()`
`Boolean` `isAutoRotateLandscape()`
`Boolean` `isDscComplianceEnabled()`
`Boolean` `isOptimizeResources()`
`Boolean` `isSafeSetPageDevice()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

Description copied from interface: `RendererConfig`
Returns the render-specific font configuration information.

Specified by:
  `getFontInfoConfig` in interface `RendererConfig`
Returns:
  the font config

#### isAutoRotateLandscape

    public Boolean isAutoRotateLandscape()

#### getLanguageLevel

    public Integer getLanguageLevel()

#### isOptimizeResources

    public Boolean isOptimizeResources()

#### isSafeSetPageDevice

    public Boolean isSafeSetPageDevice()

#### isDscComplianceEnabled

    public Boolean isDscComplianceEnabled()

#### getRenderingMode

    public org.apache.fop.render.ps.PSRenderingMode getRenderingMode()

#### isAcrobatDownsample

    public Boolean isAcrobatDownsample()